Enable Hovercards on se.wikimedia.org (Swedish chapter wiki)
Closed, ResolvedPublic

Description

See this: http://lists.wikimedia.org/pipermail/wikitech-ambassadors/2014-June/000735.html

In a nutshell, Jan Ainali, the CEO of WMSE, asked for Hovercards to be enabled on their wiki as the default experience. I said I'd be happy to arrange for that, with the caveat that chapter wikis are not the intended audience for Hovercards so we may not have the time to develop features for them. Jan agreed.

Given that the Hovercards team are looking to test Hovercards in the wild on wikis, and Jan volunteered the WMSE wiki, this seems like a win-win for all involved.


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz66374
bzimport set Reference to bz66374.
bzimport added a subscriber: Unknown Object (MLST).
Deskana created this task.Jun 9 2014, 3:54 PM

Should be in extension setup, as it's about setting up an extension for a wiki.

tomasz removed a project: Shell.Feb 23 2015, 7:43 PM
tomasz set Security to None.
Se4598 removed a subscriber: Unknown Object (MLST).
Deskana removed a subscriber: Deskana.Feb 23 2015, 8:09 PM

noted, I'll see what we can do to get this into the initial test launch, but it might need to come soon after…

@jaredzimmerman @Quiddity Did we respond to this community about switching it on for the 2 month trial? It seems like its large in terms of 'No of articles'.
https://en.wikipedia.org/wiki/Swedish_Wikipedia

I did some testing for the different layouts -

@jaredzimmerman @Quiddity Did we respond to this community about switching it on for the 2 month trial? It seems like its large in terms of 'No of articles'.
https://en.wikipedia.org/wiki/Swedish_Wikipedia

I think this task is about se.wikimedia.org, the Swedish chapter wiki.

About the Swedish Wikipedia's grand total, the article you linked eloquently says "about half of its articles were created by a single bot".

PopUps/Hovercards can already be enabled by anyone wishing to use them via Special:Inställningar. Please advice if the issue reported is already resolved. Regards.

Restricted Application added subscribers: Josve05a, Aklapper. · View Herald TranscriptFeb 6 2016, 10:48 PM

Hovercards will likely be made the default for most wikis soon-ish. Subscribe to T70860: [GOAL] Graduate Hovercards feature (Popups extension) out of Beta Feature for status updates.

Prtksxna removed a subscriber: Prtksxna.May 18 2016, 3:13 AM
MarcoAurelio lowered the priority of this task from "Normal" to "Low".Sep 4 2016, 7:42 PM
MarcoAurelio changed the task status from "Open" to "Stalled".

Is this still an issue?

Is this still an issue?

CC @CKoerner_WMF for followup later on.

Aklapper closed this task as "Resolved".Nov 18 2016, 12:27 PM
Aklapper claimed this task.

https://se.wikimedia.org/w/index.php?title=Special:Version states that Popups is installed.

Assuming this is resolved.

Sorry for the delay in responding, I lost the ping.

Hovercards are enabled as a beta feature on se.wikimedia.org, but the feature is not on by default. @Ainali I know the discussion took place some time ago, but could you help clarify if this is the indented configuration?

Yes, making it on by default was our intent.

CKoerner_WMF reopened this task as "Open".Nov 23 2016, 3:36 PM
CKoerner_WMF reassigned this task from Aklapper to ovasileva.

Thank you @Ainali for clarification. I'm reopening this and assigning it to Olga to help address the desired outcome.

ovasileva raised the priority of this task from "Low" to "Normal".Dec 5 2016, 4:15 PM
ovasileva moved this task from Backlog to Next Up on the Page-Previews board.Dec 20 2016, 12:27 AM
Dereckson claimed this task.EditedFeb 15 2017, 7:19 PM
Dereckson added a subscriber: ovasileva.

[ Taking this bug as it has been triaged by @ovasileva, has been requested and well tested by the requesting community, and it's a config change to prepare and deploy. ]

Change 337897 had a related patch set uploaded (by Dereckson):
Enable Popups on se.wikimedia

https://gerrit.wikimedia.org/r/337897

Change 337897 merged by jenkins-bot:
Enable Popups on se.wikimedia

https://gerrit.wikimedia.org/r/337897

Works, but I think it would be nice to tweak the extension a little bit to disable/reenable it through regular user preferences by the way before deploying like this to a more populated wiki.

Mentioned in SAL (#wikimedia-operations) [2017-02-15T19:50:49Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Enable Popups by default on se.wikimedia (T68374) (duration: 00m 41s)

Dereckson closed this task as "Resolved".EditedFeb 15 2017, 7:52 PM

Deployed. Caching issues could occur and hide popups.

Tested to be working at https://se.wikimedia.org/wiki/Transparens while checking on mwdebug1002.eqiad.wmnet.eqiad before deployment to prod.